Bug 737234 - Failed to build transaction : nss_db-2.2.3-0.5.pre1.fc15.x86_64 requires libnss_files.so.2(GLIBC_PRIVATE)(64bit)
Summary: Failed to build transaction : nss_db-2.2.3-0.5.pre1.fc15.x86_64 requires libn...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nss_db
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 08:15 UTC by Marek Goldmann
Modified: 2012-08-07 19:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:59:57 UTC


Attachments (Terms of Use)

Description Marek Goldmann 2011-09-10 08:15:05 UTC
Description of problem:

While building appliance with appliance-creator with @base and @core package groups selected and updates-testing repo enabled I get this:

Failed to build transaction : nss_db-2.2.3-0.5.pre1.fc15.x86_64 requires libnss_files.so.2(GLIBC_PRIVATE)(64bit)

...which stops the build.

Version-Release number of selected component (if applicable):

nss_db-2.2.3-0.5.pre1.fc15.x86_64

Comment 1 Marek Goldmann 2011-09-10 08:17:27 UTC
Forgot to add that nss version is: nss-3.12.10-6.fc15.x86_64. Feel free to change the component, as I don't know which is the right one for this bug.

Comment 2 Elio Maldonado Batiz 2011-09-10 16:34:14 UTC
$ rpm -qi nss_db | grep Summary
Summary     : An NSS library for the Berkeley DB

The NSS there is not "Network Security Services", my guess is that it refers to "Name Switching Service"

$rpm -q --whatprovides /usr/lib64/libnss_files.so
glibc-devel-2.14-5.x86_64

Comment 3 Elio Maldonado Batiz 2011-10-01 19:27:35 UTC
$ rpm -ql nss_db | grep lib
/lib64/libnss_db-2.2.3.so
/lib64/libnss_db.so.2

[emaldona@localhost Bug681947]$ rpm -q --whatprovides /lib64/libnss_db-2.2.3.so
nss_db-2.2.3-0.5.pre1.fc15.x86_64

Reassigning to nss_db

Comment 4 Nalin Dahyabhai 2011-10-03 21:37:50 UTC
Which version of the glibc package is being pulled in for the transaction?
When I examine glibc-2.14-5.x86_64, it lists libnss_files.so.2(GLIBC_PRIVATE)(64bit) among its provides, though it appears that updates which are going through testing are attempting to remove it, and that would cause this problem.

Comment 5 Marek Goldmann 2011-10-07 09:25:35 UTC
The issue seems not to be present in current Fedora 15 with updates-testing enabled. Closing.

Thanks!

Comment 6 Marek Goldmann 2011-12-28 09:43:29 UTC
Reopening because I see this issue again with glibc-2.14.1-4.x86_64.rpm package from updates-testing repository.

Output from appliance-creator showing the issue:

[04:29:59]: [modular appliances] D, [2011-12-27T22:29:59.525704 #1274] DEBUG -- : Unable to create appliance : Failed to build transaction : nss_db-2.2.3-0.5.pre1.fc15.x86_64 requires libnss_files.so.2(GLIBC_PRIVATE)(64bit)
[04:29:59]: [modular appliances] D, [2011-12-27T22:29:59.525863 #1274] DEBUG -- : nss_db-2.2.3-0.5.pre1.fc15.x86_64 requires libc.so.6(GLIBC_PRIVATE)(64bit)
[04:29:59]: [modular appliances] D, [2011-12-27T22:29:59.696729 #1274] DEBUG -- : Unmounting directory /tmp/teamcity/work/30bb0dce7fa6ebe1/build/appliances/x86_64/fedora/15/modular/1.2/fedora-plugin/tmp/imgcreate-JlMlpD/install_root/home
[04:29:59]: [modular appliances] D, [2011-12-27T22:29:59.735687 #1274] DEBUG -- : Unmounting directory /tmp/teamcity/work/30bb0dce7fa6ebe1/build/appliances/x86_64/fedora/15/modular/1.2/fedora-plugin/tmp/imgcreate-JlMlpD/install_root/
[04:29:59]: [modular appliances] D, [2011-12-27T22:29:59.778706 #1274] DEBUG -- : Removing compat symlinks
[04:29:59]: [modular appliances] D, [2011-12-27T22:29:59.778846 #1274] DEBUG -- : Unmapping /dev/loop0
[04:29:59]: [modular appliances] D, [2011-12-27T22:29:59.831132 #1274] DEBUG -- : Losetup remove /dev/loop0
[04:29:59]: [modular appliances] D, [2011-12-27T22:29:59.916221 #1274] DEBUG -- : ['/', '/home']

Comment 7 Fedora End Of Life 2012-08-07 19:59:59 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.